#ifndef LOADEXAMPLEDIALOG_H
#define LOADEXAMPLEDIALOG_H

#include <QDialog>
#include <QListWidget>
#include <QStandardItemModel>

class QDialog;
class QListWidget;
class QStandardItemModel;

class LoadExampleDialog : public QDialog
{
    Q_OBJECT
public:
    explicit LoadExampleDialog(QStringList names, QWidget *parent = 0);
    ~LoadExampleDialog();

private slots:
    void accept() Q_DECL_OVERRIDE;

signals:
    void selectedExample(int selectedRow);

private:
    QListWidget *nameList /*!< list of names for available example rosettes */;
};

#endif // LOADEXAMPLEDIALOG_H
