#ifndef EXAMPLEROSETTES_H
#define EXAMPLEROSETTES_H

#include <QStandardItemModel>
#include <QStringList>
#include <QVector>

class QStandardItemModel;
class QStringList;


class ReadExampleFile
{
public:
    explicit ReadExampleFile();
    ~ReadExampleFile();

    QStringList fetchNames();
    QStandardItemModel *getModel(int index);

private:

    QStringList nameList; /*!< A list of paramter values for example rosettes. */
    QVector<QStringList> *values; /*!< A list of example rosette names. */

    void readFile();
};

#endif // EXAMPLEROSETTES_H
